get
https://api.picussecurity.com/v1/apv/simulations//runs//report/
Fetches the download URL for a generated report.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
About
Report Download endpoint returns the download URL of a generated Attack Path Validation report, together with its report ID, name and format.
The reportId path parameter is the report_id returned by Generate Report or Report Status.
Example
Get the download URL of report {report_id} of run {run_uuid} of simulation {simulation_uuid}.
curl --request GET \
--url https://api.picussecurity.com/v1/apv/simulations/{simulation_uuid}/runs/{run_uuid}/report/{report_id} \
--header 'Accept: application/json' \
--header 'Authorization: Bearer access_token'{
"download_url": "https://example.com/reports/8801",
"format": "PDF",
"report_id": 8801,
"report_name": "Q3-Gray-Box-Simulation.pdf"
}